---
# TODO(mnasiadka): Rework the repo list once Ceph Octopus is released
centos:
  ceph: "centos-ceph-nautilus"
  elasticsearch: "elasticsearch-kibana-logstash-6.x"
  epel: "epel"
  epel-modular: "epel-modular"
  erlang: "rabbitmq_rabbitmq-erlang"
  extras: "extras"
  grafana: "grafana"
  hacluster: "ha"
  influxdb: "influxdb"
  logstash: "elasticsearch-kibana-logstash-6.x"
  kibana: "elasticsearch-kibana-logstash-6.x"
  opstools: "centos-opstools"
  rabbitmq: "rabbitmq_rabbitmq-server"
  td-agent: "treasuredata"

centos-aarch64:
  ceph: "centos-ceph-nautilus"
  elasticsearch: "elasticsearch-kibana-logstash-6.x"
  epel: "epel"
  epel-modular: "epel-modular"
  erlang: "centos-rabbitmq-38"
  extras: "extras"
  grafana: "grafana"
  hacluster: "ha"
  logstash: "elasticsearch-kibana-logstash-6.x"
  opstools: "centos-opstools"
  rabbitmq: "rabbitmq_rabbitmq-server"

centos-ppc64le:
  ceph: "centos-ceph-nautilus"
  elasticsearch: "elasticsearch-kibana-logstash-6.x"
  epel: "epel"
  epel-modular: "epel-modular"
  extras: "extras"
  hacluster: "ha"
  logstash: "elasticsearch-kibana-logstash-6.x"
  opstools: "centos-opstools"
  rabbitmq: "rabbitmq_rabbitmq-server"

rhel:
  erlang: "centos-rabbitmq-38"
  hacluster: "ha"
  opstools: "centos-opstools"
  rabbitmq: "centos-rabbitmq-38"

# NOTE(mnasiadka): Erlang repo - Debian Buster/Bullseye needs to use bionic as per RabbitMQ docs
debian:
  elasticsearch: "deb [arch=amd64] https://artifacts.elastic.co/packages/oss-6.x/apt stable main"
  erlang: "deb http://ppa.launchpad.net/rabbitmq/rabbitmq-erlang/ubuntu bionic main"
  grafana: "deb https://packages.grafana.com/oss/deb stable main"
  influxdb: "deb https://repos.influxdata.com/debian buster stable"
  logstash: "deb [arch=amd64] https://artifacts.elastic.co/packages/oss-6.x/apt stable main"
  kibana: "deb [arch=amd64] https://artifacts.elastic.co/packages/oss-6.x/apt stable main"
  mariadb: "deb http://downloads.mariadb.com/MariaDB/mariadb-10.3/repo/debian buster main"
  rabbitmq: "deb https://packagecloud.io/rabbitmq/rabbitmq-server/debian/ buster main"
  td-agent: "deb http://packages.treasuredata.com/3/debian/buster buster contrib"

debian-aarch64:
  elasticsearch: "deb [arch=amd64] https://artifacts.elastic.co/packages/oss-6.x/apt stable main"
  erlang: "deb http://ppa.launchpad.net/rabbitmq/rabbitmq-erlang/ubuntu bionic main"
  grafana: "deb https://packages.grafana.com/oss/deb stable main"
  influxdb: "deb https://repos.influxdata.com/debian buster stable"
  logstash: "deb [arch=amd64] https://artifacts.elastic.co/packages/oss-6.x/apt stable main"
  kibana: "deb [arch=amd64] https://artifacts.elastic.co/packages/oss-6.x/apt stable main"
  libvirt: "deb https://obs.linaro.org/repos/home:/marcin.juszkiewicz/debian-buster ./"
  mariadb: "deb http://downloads.mariadb.com/MariaDB/mariadb-10.3/repo/debian buster main"
  rabbitmq: "deb https://packagecloud.io/rabbitmq/rabbitmq-server/debian/ buster main"

ubuntu:
  elasticsearch: "deb https://artifacts.elastic.co/packages/oss-6.x/apt stable main"
  erlang: "deb http://ppa.launchpad.net/rabbitmq/rabbitmq-erlang/ubuntu bionic main"
  grafana: "deb https://packages.grafana.com/oss/deb stable main"
  influxdb: "deb https://repos.influxdata.com/ubuntu bionic stable"
  logstash: "deb https://artifacts.elastic.co/packages/oss-6.x/apt stable main"
  kibana: "deb https://artifacts.elastic.co/packages/oss-6.x/apt stable main"
  mariadb: "deb http://downloads.mariadb.com/MariaDB/mariadb-10.3/repo/ubuntu bionic main"
  opendaylight: "deb http://ppa.launchpad.net/odl-team/carbon/ubuntu xenial main"
  qdrouterd: "deb http://ppa.launchpad.net/qpid/released/ubuntu/ bionic main"
  rabbitmq: "deb https://packagecloud.io/rabbitmq/rabbitmq-server/ubuntu/ bionic main"
  td-agent: "deb http://packages.treasuredata.com/3/ubuntu/bionic/ bionic contrib"

ubuntu-aarch64:
  elasticsearch: "deb [arch=amd64] https://artifacts.elastic.co/packages/oss-6.x/apt stable main"
  erlang: "deb http://ppa.launchpad.net/rabbitmq/rabbitmq-erlang/ubuntu bionic main"
  grafana: "deb https://packages.grafana.com/oss/deb stable main"
  influxdb: "deb https://repos.influxdata.com/ubuntu bionic stable"
  logstash: "deb [arch=amd64] https://artifacts.elastic.co/packages/oss-6.x/apt stable main"
  mariadb: "deb http://downloads.mariadb.com/MariaDB/mariadb-10.3/repo/ubuntu bionic main"
  rabbitmq: "deb https://packagecloud.io/rabbitmq/rabbitmq-server/ubuntu/ bionic main"

ubuntu-ppc64le:
  mariadb: "deb http://downloads.mariadb.com/MariaDB/mariadb-10.3/repo/ubuntu bionic main"
  rabbitmq: "deb https://packagecloud.io/rabbitmq/rabbitmq-server/ubuntu/ bionic main"
